External USB drive not detected in USB 3.0 port

Bug #1155002 reported by Alien on 2013-03-14
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

~$ sudo dmesg | tail -n 25
[ 3789.768011] ACPI Error: Region SystemCMOS (ID=5) has no handler (20110623/exfldio-292)
[ 3789.768017] ACPI Error: Method parse/execution failed [\_SB_.PCI0.LPCB.EC0_._Q33] (Node ffff880251855348), AE_NOT_EXIST (20110623/psparse-536)
[ 3946.344307] init: teamviewerd main process (1541) killed by KILL signal
[ 5320.840440] xhci_hcd 0000:00:14.0: Timeout while waiting for address device command
[ 5321.044166] xhci_hcd 0000:00:14.0: ERROR no room on ep ring
[ 5321.044184] xhci_hcd 0000:00:14.0: ERR: No room for command on command ring
[ 5321.247865] usb 4-2: device not accepting address 2, error -12
[ 5321.247893] xhci_hcd 0000:00:14.0: ERROR no room on ep ring
[ 5321.247897] xhci_hcd 0000:00:14.0: ERR: No room for command on command ring
[ 5321.247905] xhci_hcd 0000:00:14.0: ERROR no room on ep ring
[ 5321.247908] xhci_hcd 0000:00:14.0: ERR: No room for command on command ring
[ 5321.247913] hub 4-0:1.0: couldn't allocate port 2 usb_device
[ 5323.596362] xhci_hcd 0000:00:14.0: ERROR no room on ep ring
[ 5323.596375] xhci_hcd 0000:00:14.0: ERR: No room for command on command ring
[ 5343.566306] xhci_hcd 0000:00:14.0: Timeout while waiting for stop endpoint command
[ 5443.009187] xhci_hcd 0000:00:14.0: ERROR Transfer event for disabled endpoint or incorrect stream ring
[ 5449.914782] xhci_hcd 0000:00:14.0: ERROR no room on ep ring
[ 5449.914786] xhci_hcd 0000:00:14.0: ERR: No room for command on command ring
[ 5449.914800] hub 4-0:1.0: couldn't allocate port 2 usb_device
[ 5452.379105] xhci_hcd 0000:00:14.0: ERROR no room on ep ring
[ 5452.379113] xhci_hcd 0000:00:14.0: ERR: No room for command on command ring
[ 5472.349144] xhci_hcd 0000:00:14.0: Timeout while waiting for stop endpoint command
[ 5672.464945] xhci_hcd 0000:00:14.0: ERROR no room on ep ring
[ 5672.464953] xhci_hcd 0000:00:14.0: ERR: No room for command on command ring
[ 5672.464958] hub 4-0:1.0: couldn't allocate port 2 usb_device

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-38-generic 3.2.0-38.61
ProcVersionSignature: Ubuntu 3.2.0-38.61-generic 3.2.37
Uname: Linux 3.2.0-38-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu17.1
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: PCH [HDA Intel PCH], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: administrator 3295 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xc3610000 irq 47'
   Mixer name : 'Intel PantherPoint HDMI'
   Components : 'HDA:111d76d9,103c183e,00100107 HDA:80862806,80860101,00100000'
   Controls : 22
   Simple ctrls : 10
Date: Thu Mar 14 10:41:42 2013
HibernationDevice: RESUME=UUID=b704ab08-9907-4a5e-9306-1107a03c67b9
MachineType: Hewlett-Packard HP Pavilion g6 Notebook PC
MarkForUpload: True
ProcFB:
 0 inteldrmfb
 1 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.2.0-38-generic root=UUID=3c7db1ac-b267-4530-b565-050af0a89fed ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-38-generic N/A
 linux-backports-modules-3.2.0-38-generic N/A
 linux-firmware 1.79.1
SourcePackage: linux
StagingDrivers: mei
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/03/2012
dmi.bios.vendor: Insyde
dmi.bios.version: F.08
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: 183E
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 56.16
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsyde:bvrF.08:bd05/03/2012:svnHewlett-Packard:pnHPPaviliong6NotebookPC:pvr079B100000005620000000000:rvnHewlett-Packard:rn183E:rvr56.16:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.name: HP Pavilion g6 Notebook PC
dmi.product.version: 079B100000005620000000000
dmi.sys.vendor: Hewlett-Packard

Alien (alien4any) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.9 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-rc2-raring/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Download full text (5.9 KiB)

Hi Joseph,
Due to our managed environment and being unable to test the mainline
kernel, I have tagged the bug report with 'kernel-unable-to-test-upstream'.
Kind Regards
--
Ali Geyik

On Thu, Mar 14, 2013 at 8:12 PM, Joseph Salisbury <
<email address hidden>> wrote:

> Would it be possible for you to test the latest upstream kernel? Refer
> to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest
> v3.9 kernel[0] (Not a kernel in the daily directory) and install both
> the linux-image and linux-image-extra .deb packages.
>
> If this bug is fixed in the mainline kernel, please add the following
> tag 'kernel-fixed-upstream'.
>
> If the mainline kernel does not fix this bug, please add the tag:
> 'kernel-bug-exists-upstream'.
>
> If you are unable to test the mainline kernel, for example it will not
> boot, please add the tag: 'kernel-unable-to-test-upstream'.
> Once testing of the upstream kernel is complete, please mark this bug as
> "Confirmed".
>
>
> Thanks in advance.
>
> [0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-rc2-raring/
>
> ** Changed in: linux (Ubuntu)
> Importance: Undecided => Medium
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1155002
>
> Title:
> External USB drive not detected in USB 3.0 port
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> ~$ sudo dmesg | tail -n 25
> [ 3789.768011] ACPI Error: Region SystemCMOS (ID=5) has no handler
> (20110623/exfldio-292)
> [ 3789.768017] ACPI Error: Method parse/execution failed
> [\_SB_.PCI0.LPCB.EC0_._Q33] (Node ffff880251855348), AE_NOT_EXIST
> (20110623/psparse-536)
> [ 3946.344307] init: teamviewerd main process (1541) killed by KILL
> signal
> [ 5320.840440] xhci_hcd 0000:00:14.0: Timeout while waiting for address
> device command
> [ 5321.044166] xhci_hcd 0000:00:14.0: ERROR no room on ep ring
> [ 5321.044184] xhci_hcd 0000:00:14.0: ERR: No room for command on
> command ring
> [ 5321.247865] usb 4-2: device not accepting address 2, error -12
> [ 5321.247893] xhci_hcd 0000:00:14.0: ERROR no room on ep ring
> [ 5321.247897] xhci_hcd 0000:00:14.0: ERR: No room for command on
> command ring
> [ 5321.247905] xhci_hcd 0000:00:14.0: ERROR no room on ep ring
> [ 5321.247908] xhci_hcd 0000:00:14.0: ERR: No room for command on
> command ring
> [ 5321.247913] hub 4-0:1.0: couldn't allocate port 2 usb_device
> [ 5323.596362] xhci_hcd 0000:00:14.0: ERROR no room on ep ring
> [ 5323.596375] xhci_hcd 0000:00:14.0: ERR: No room for command on
> command ring
> [ 5343.566306] xhci_hcd 0000:00:14.0: Timeout while waiting for stop
> endpoint command
> [ 5443.009187] xhci_hcd 0000:00:14.0: ERROR Transfer event for disabled
> endpoint or incorrect stream ring
> [ 5449.914782] xhci_hcd 0000:00:14.0: ERROR no room on ep ring
> [ 5449.914786] xhci_hcd 0000:00:14.0: ERR: No room for command on
> command ring
> [ 5449.914800] hub 4-0:1.0: couldn't allocate port 2 usb_device
> [ 5452.379105] xhci_hcd 0000:00:14.0: ERROR no room on ep ring
> [ ...

Read more...

tags: added: kernel-unable-to-test-upstream
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired

Ali Geyik, could you please provide the full computer model as noted on the sticker (ex. HP Pavilion g6-2311nr Notebook PC)?

Changed in linux (Ubuntu):
status: Expired → Incomplete
tags: added: needs-full-computer-model
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers